--
-- $Id$
--
-- Aanpassingen voor het goedkeuren van parkeerplaatsen.

DEFINE thisfile = 'YKPN#51761_4.sql'
DEFINE dbuser   = '^YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
    fac.initsession ('NL');
END;
/


INSERT INTO fac_groep (fac_groep_omschrijving,
                       fac_groep_opmerking,
                       fac_groep_collega)
    SELECT DISTINCT
           SUBSTR ('_PP_' || kl.prs_kenmerklink_waarde, 1, 30),
           'Parkeerplaats collega groep voor: ' || kl.prs_kenmerklink_waarde,
           1
      FROM prs_perslid p, prs_kenmerklink kl
     WHERE p.prs_perslid_key = kl.prs_link_key AND prs_kenmerk_key = 1040;


INSERT INTO fac_gebruikersgroep (fac_groep_key, prs_perslid_key)
    SELECT   fac_groep_key, prs_perslid_key
      FROM prs_perslid p, prs_kenmerklink kl, fac_groep g
     WHERE p.prs_perslid_key = kl.prs_link_key
       AND prs_kenmerk_key = 1040
       AND SUBSTR ('_PP_' || kl.prs_kenmerklink_waarde, 1, 30) = g.fac_groep_omschrijving;


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


